AbstractBasicInterceptorProvider (Apache CXF JavaDoc 4.1.6 API)
Description: declaration: package: org.apache.cxf.interceptor, class: AbstractBasicInterceptorProvider

Package org.apache.cxf.interceptor

# Class AbstractBasicInterceptorProvider

java.lang.Object
org.apache.cxf.interceptor.AbstractBasicInterceptorProvider

All Implemented Interfaces:
  `InterceptorProvider`

Direct Known Subclasses:
  `AbstractEndpointFactory`, `BusDefinitionParser.BusConfig`, `ClientImpl`, `ExtensionManagerBus`

public abstract class AbstractBasicInterceptorProvider extends Object implements InterceptorProvider

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBasicInterceptorProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Interceptor<? extends Message>>`
  `getInFaultInterceptors()`
  Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getInInterceptors()`
  Returns the list of interceptors attached to the incoming interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getOutFaultInterceptors()`
  Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getOutInterceptors()`
  Returns the list of interceptors attached to the outgoing interceptor chain of the object.
  `void`
  `setInFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  `setInInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  `setOutFaultInterceptors(List<Interceptor<? extends Message>> interceptors)`
  `void`
  `setOutInterceptors(List<Interceptor<? extends Message>> interceptors)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractBasicInterceptorProvider

    public AbstractBasicInterceptorProvider()

- ## Method Details

  - ### getOutFaultInterceptors

    public List<Interceptor<? extends Message>> getOutFaultInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
    Specified by:
      `getOutFaultInterceptors` in interface `InterceptorProvider`
    Returns:
      `List` outgoing fault interceptor chain

  - ### getInFaultInterceptors

    public List<Interceptor<? extends Message>> getInFaultInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
    Specified by:
      `getInFaultInterceptors` in interface `InterceptorProvider`
    Returns:
      `List` incoming fault interceptor chain

  - ### getInInterceptors

    public List<Interceptor<? extends Message>> getInInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the incoming interceptor chain of the object.
    Specified by:
      `getInInterceptors` in interface `InterceptorProvider`
    Returns:
      `List` incoming interceptor chain

  - ### getOutInterceptors

    public List<Interceptor<? extends Message>> getOutInterceptors()
    Description copied from interface: `InterceptorProvider`
    Returns the list of interceptors attached to the outgoing interceptor chain of the object.
    Specified by:
      `getOutInterceptors` in interface `InterceptorProvider`
    Returns:
      `List` outgoing interceptor chain

  - ### setInInterceptors

    public void setInInterceptors(List<Interceptor<? extends Message>> interceptors)

  - ### setInFaultInterceptors

    public void setInFaultInterceptors(List<Interceptor<? extends Message>> interceptors)

  - ### setOutInterceptors

    public void setOutInterceptors(List<Interceptor<? extends Message>> interceptors)

  - ### setOutFaultInterceptors

    public void setOutFaultInterceptors(List<Interceptor<? extends Message>> interceptors)